<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\UsersTableSeeder;

class DatabaseSeeder extends Seeder
{

    public function run()
    {
        $this->call(UsersTableSeeder::class);
        $this->call(RoleSeeder::class);
        $this->call(PermissionsSeeder::class);
        $this->call(RolePermissionSeeder::class);
        $this->call(UserHasRole::class);
        $this->call(IncomeExpenseHead::class);
        // $this->call(MonthlyIncomeSeeder::class);
        // $this->call(MonthlyExpenseSeeder::class);
        $this->call(SmsSettingSeeder::class);
        $this->call(GlobalSettingSeeder::class);
        $this->call(CompanyInfoSeeder::class);

        $this->call(TokenCategoryCodeSeeder::class);
        $this->call(EmailSettingSeeder::class);
        $this->call(LocationSeeder::class);
    }
}
